Bug 618691 - fftw missing in RHEL/EPEL6
Summary: fftw missing in RHEL/EPEL6
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: fftw
Version: el6
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RHEL6Channels
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-27 14:44 UTC by Mattias Ellert
Modified: 2010-12-18 16:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-18 16:11:57 UTC
Type: ---


Attachments (Terms of Use)

Description Mattias Ellert 2010-07-27 14:44:23 UTC
Description of problem:
I was trying to make a scratch build in the dist-6E-epel build target that requires fftw-devel. It fails with:

DEBUG util.py:255:  No Package Found for fftw-devel

There is no fftw package in
ftp://ftp.redhat.com/redhat/rhel/beta/6/i386/os/Packages/

But the fftw package seems not to have been branched for EPEL6 anyway.

Is there a reason for this?

Version-Release number of selected component (if applicable):
none (which is the problem)

How reproducible:
Always.

Comment 1 Mattias Ellert 2010-07-29 04:49:47 UTC
OK I can now see what happened.

There was a fftw package in the RHEL6 beta2 release - in the optional repo. So at the time EPEL6 was branched, there was no need to branch fftw.

$ ( RHELBASE="http://www.mirrorservice.org/sites/ftp.redhat.com/pub/redhat/rhel/beta/6" ; repoquery --disablerepo=* --repofrompath=rhel6-optional,$RHELBASE/optional/x86_64/os --repofrompath=rhel6,$RHELBASE/x86_64/os --enablerepo=rhel6 --enablerepo=rhel6-optional fftw* )
fftw-0:3.2.1-3.1.el6.i686
fftw-0:3.2.1-3.1.el6.x86_64
fftw-devel-0:3.2.1-3.1.el6.i686
fftw-devel-0:3.2.1-3.1.el6.x86_64
fftw-static-0:3.2.1-3.1.el6.x86_64

But now we are using the 5.90 pre-release, which does not have a fftw package anymore.

$ ( RHELBASE="http://www.mirrorservice.org/sites/ftp.redhat.com/pub/redhat/rhel/beta/5.90Server" ; repoquery --disablerepo=* --repofrompath=rhel-optional,$RHELBASE/optional/x86_64/os --repofrompath=rhel,$RHELBASE/x86_64/os --enablerepo=rhel --enablerepo=rhel-optional fftw* )
(* no output *)

Comment 2 Mattias Ellert 2010-08-03 14:42:13 UTC
This issue is also discussed at https://fedorahosted.org/rel-eng/ticket/3916

Comment 3 Mattias Ellert 2010-12-18 16:11:57 UTC
In the end RHEL 6 Final was released with an fftw package, so no need for an EPEL package after all - closing.


Note You need to log in before you can comment on or make changes to this bug.